let g:vim_markdown_conceal = 2
let g:vim_markdown_conceal_code_blocks = 0
let g:vim_markdown_math = 1
let g:vim_markdown_toml_frontmatter = 1
let g:vim_markdown_frontmatter = 1
let g:vim_markdown_strikethrough = 1
let g:vim_markdown_autowrite = 1
let g:vim_markdown_edit_url_in = 'tab'
let g:vim_markdown_follow_anchor = 1
let g:goyo_linenr = 1

augroup CustomMarkdown
  autocmd BufNewFile,BufRead *.md set filetype=markdown
  autocmd BufNewFile,BufRead *.md Goyo
  autocmd BufNewFile,BufRead *.md setlocal linebreak
  autocmd BufNewFile,BufRead *.md setlocal nocursorline
  autocmd BufNewFile,BufRead *.md setlocal nocursorcolumn
augroup END
